Trigger daily sector metrics aggregation
curl --request POST \
--url https://api.example.com/api/internal/market/sector-metrics \
--header 'Content-Type: application/json' \
--data '
{
"trade_date": "<string>"
}
'import requests
url = "https://api.example.com/api/internal/market/sector-metrics"
payload = { "trade_date": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({trade_date: '<string>'})
};
fetch('https://api.example.com/api/internal/market/sector-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Internal
Trigger daily sector metrics aggregation
Aggregate confluence, relative strength, and pattern data per sector.
Computes daily sector-level metrics and upserts into sector_metrics_daily. Returns 202 immediately.
POST
/
api
/
internal
/
market
/
sector-metrics
Trigger daily sector metrics aggregation
Body
application/json
Request body for triggering sector metrics aggregation.
ISO date to aggregate (defaults to today).
Response
Successful Response
The response is of type Response Trigger Sector Metrics Api Internal Market Sector Metrics Post · object.